Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin
Class DynamicBVElementDisplayNameRecord

    java.lang.Object
      jet.server.api.admin.DynamicBVElementDisplayNameRecord

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class DynamicBVElementDisplayNameRecord

extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

See Also:
  Serialized Form

Constructor Summary
`DynamicBVElementDisplayNameRecord()`

Method Summary
`DynamicBVElementDisplayNameRecord` | `clone()`
`java.lang.String` | `getCatalog()`
`java.util.HashMap<java.lang.String,java.lang.String>` | `getDisplayNameMap()` get the display name map.
`java.lang.String` | `getOrgName()`
`java.lang.String` | `getPrincipal()`
`APIEnums.PrincipalType` | `getPrincipalType()`
`int` | `getRecordID()`
`void` | `setCatalog(java.lang.String catalog)`
`void` | `setDisplayNameMap(java.util.HashMap<java.lang.String,java.lang.String> map)` set the display name map.
`void` | `setOrgName(java.lang.String orgName)`
`void` | `setPrincipal(java.lang.String principal)`
`void` | `setPrincipalType(APIEnums.PrincipalType principalType)`
`void` | `setRecordID(int recordID)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynamicBVElementDisplayNameRecord

    public DynamicBVElementDisplayNameRecord()

Method Detail

### getRecordID

    public int getRecordID()

  Returns:
    the recordID

### setRecordID

    public void setRecordID(int recordID)

  Parameters:
    `recordID` - the recordID to set

### getOrgName

    public java.lang.String getOrgName()

  Returns:
    the orgName

### setOrgName

    public void setOrgName(java.lang.String orgName)

  Parameters:
    `orgName` - the orgName to set

### getCatalog

    public java.lang.String getCatalog()

  Returns:
    the catalog

### setCatalog

    public void setCatalog(java.lang.String catalog)

  Parameters:
    `catalog` - the catalog to set

### getPrincipalType

    public APIEnums.PrincipalType getPrincipalType()

  Returns:
    the principalType

### setPrincipalType

    public void setPrincipalType(APIEnums.PrincipalType principalType)

  Parameters:
    `principalType` - the principalType to set

### getPrincipal

    public java.lang.String getPrincipal()

  Returns:
    the principal

### setPrincipal

    public void setPrincipal(java.lang.String principal)

  Parameters:
    `principal` - the principal to set

### getDisplayNameMap

    public java.util.HashMap<java.lang.String,java.lang.String> getDisplayNameMap()

  get the display name map.

  Returns:
    the display name map, key is qualified BV element name, value is dynamic display name

### setDisplayNameMap

    public void setDisplayNameMap(java.util.HashMap<java.lang.String,java.lang.String> map)

  set the display name map.

  Parameters:
    `map` - the map to set, key is qualified BV element name, value is dynamic display name

### clone

    public DynamicBVElementDisplayNameRecord clone()

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD